`timescale 1ns / 1ps
module TrackingProcessor(SysClk, Rst,
																									CalibDone,
																									WrCmdClck, WrCmdEn, WrCmdInstr, WrCmdBurstLen, WrCmdAddr, WrCmdEmp, WrCmdFull,
																									WrClck, WrEn, WrMask, WrData, WrFull, WrEmp, WrCount, WrUdrRun, WrErr,
																									RdCmdClck, RdCmdEn, RdCmdInstr, RdCmdBurstLen, RdCmdAddr, RdCmdEmp, RdCmdFull,
																									RdClck, RdEn, RdData, RdFull, RdEmp, RdCount, RdOvrFlw, RdErr,
																									InConfData, InConfDataA, InConfDataAp,
																									InTrgtData, InTrgtDataA, InTrgtDataAp,
																									OutTrgtData, OutTrgtDataA, OutTrgtDataAp,
																									NF, FBI);

input										SysClk;
input										Rst;
//Signals from and to DDR3
input										CalibDone;
output									WrCmdClck;
output									WrCmdEn;
output	[2:0]			WrCmdInstr;
output	[5:0]			WrCmdBurstLen;
output	[29:0]		WrCmdAddr;
input										WrCmdEmp;
input										WrCmdFull;
output									WrClck;
output									WrEn;
output	[3:0]			WrMask;
output	[31:0]		WrData;
input										WrFull;
input										WrEmp;
input		[6:0]			WrCount;
input										WrUdrRun;
input										WrErr;
output									RdCmdClck;
output									RdCmdEn;
output	[2:0]			RdCmdInstr;
output	[5:0]			RdCmdBurstLen;
output	[29:0]		RdCmdAddr;
input										RdCmdEmp;
input										RdCmdFull;
output									RdClck;
output									RdEn;
input		[31:0]		RdData;
input										RdFull;
input										RdEmp;
input		[6:0]			RdCount;
input										RdOvrFlw;
input										RdErr;
//Configuration info
input  [7:0]			InConfData;
input									 InConfDataA;
input										InConfDataAp;
//Input targets info
input		[7:0]			InTrgtData;
input										InTrgtDataA;
input										InTrgtDataAp;
//Output targets info
output [7:0]			OutTrgtData;
output 								OutTrgtDataA;
output 								OutTrgtDataAp;
//Frames info
input										NF;	//New frame signel: 1 tick of SysClk at new frame
input		[2:0]			FBI;//Frame buffer index


endmodule
